/*
 * C
 *
 * Copyright 2013-2017 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/* Includes ------------------------------------------------------------------*/

#include "device.h"
#include "LLDEVICE_impl.h"
#include <stdio.h>
#include <string.h>
#include "device_uid.h"

#include <sni.h>

uint8_t LLDEVICE_IMPL_getArchitecture(uint8_t* buffer, int32_t length) {
	if (length >= 6) {
		buffer[0]= 'R';
		buffer[1]= 'Z';
		buffer[2]= 'I';
		buffer[3]= 'O';
		buffer[4]= 'T';
		buffer[5]= 0;
		return 1;
	} 
	else {
		return 0;
	}
}

uint32_t LLDEVICE_IMPL_getId(uint8_t* buffer, int32_t length) {
	if(length < GRPEACH_FLASH_UID_ADDR_SIZE){
		return 0;
	}
	uint8_t * flashUIDAddr = (uint8_t *)(GRPEACH_FLASH_UID_ADDR_START);
	memcpy(buffer, flashUIDAddr, GRPEACH_FLASH_UID_ADDR_SIZE);
	return GRPEACH_FLASH_UID_ADDR_SIZE;
}
