/*
 * C
 *
 * Copyright 2015-2016 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
 
/* Includes ------------------------------------------------------------------*/

#include "interrupts.h"
#include "rt_TypeDef.h"   /* Support typdef in rt_System.h */
#include "rt_System.h"


/* Public functions ----------------------------------------------------------*/

void OS_SUPPORT_disable_context_switching()
{
	if (interrupt_is_in() == MICROEJ_FALSE)
	{
		rt_tsk_lock();
	}
}

void OS_SUPPORT_enable_context_switching()
{
	if (interrupt_is_in() == MICROEJ_FALSE)
	{
		rt_tsk_unlock();
	}
}
