/*
 * C
 *
 * Copyright 2016-2017 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

#ifndef  LLNET_UTIL_H
#define  LLNET_UTIL_H

#include <stdint.h>

/* types --------------------------------------------------------------------------*/

/* structure to map the errno storage location */
typedef struct {
	int32_t threadId;
	int32_t errnoVal;
}errno_thread_t;

/*  external symbols  -------------------------------------------------------------*/

//Max number of JVM threads
void* _java_max_nb_standaloneEngines(void);

/*  API ---------------------------------------------------------------------------*/

uint32_t computeCRC24(const char* buffer, int32_t length);
void parseMacAddr(uint8_t* str, uint8_t* dst, int32_t dstOffset, int32_t dstLength);

void LLNET_Util_set_errno(int32_t err);
int32_t LLNET_Util_get_errno(void);

uint32_t LLNET_Util_getNaxJVMThread(void);

#endif // LLNET_UTIL_H
