/*
 * Copyright 2017 IS2T. All rights reserved.
 * For demonstration purpose only.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

#include <mbed/mbed.h>
#include "cmsis_os.h"
#include "microjvm_main.h"

#ifdef __cplusplus
	extern "C" {
#endif

#include "device_uid.h"

#ifdef __cplusplus
	}
#endif

/* Private define ------------------------------------------------------------*/
#define MICROJVM_STACK_SIZE      (16 * 1024)

/* Private functions  --------------------------------------------------------*/

static void jvm_thread(void const* args){
	//cpuload_init();
	microjvm_main();
	printf("MICRO_JVM ENDED\n");
}
osThreadDef(jvm_thread, osPriorityNormal, MICROJVM_STACK_SIZE);

/* Main functions  --------------------------------------------------------*/
int main() {

	init_device_uid();

	osThreadCreate(osThread(jvm_thread), NULL);

	osKernelStart();
}


