REM  	bat
REM	
REM	    Copyright 2016 IS2T. All rights reserved.
REM 	IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.

@ECHO OFF

set jlinkFile=writeAddrMac.jlink

set macAddrLoc=(0x187FFFF8 0x187FFFF9 0x187FFFFA 0x187FFFFB 0x187FFFFC 0x187FFFFD 0x187FFFFE 0x187FFFFF)
set macAddrSize=8

REM Mac address Value
set macAddrList=(00 02 F7 2B 6C 12 00 00)

setlocal ENABLEDELAYEDEXPANSION


REM convert macAddrList list to array
set n=0
set checksum=0
for %%a in %macAddrList% do (
	set macAddrArray[!n!]=%%a
	set /A n+=1
	set /A checksum+=0x%%a
)

REM convert macAddrLoc list to array
set n=0
for %%a in %macAddrLoc% do (
	set macAddrLocArray[!n!]=%%a
	set /A n+=1
)

REM compute checksum
if %macAddrArray[6]% == 00 (
	if %macAddrArray[7]% == 00 (
		
		set "map=0123456789ABCDEF"

		set "hex="
		set /A checksumMSB=!checksum!/256
		for /L %%N in (1,1,2) do (
			set /a "d=checksumMSB&15,checksumMSB>>=4"
			for %%D in (!d!) do set "hex=!map:~%%D,1!!hex!"
		)
		set macAddrArray[6]=!hex!
		
		set "hex="
		set /A checksumLSB=!checksum!-checksumLSB*256
		for /L %%N in (1,1,2) do (
			set /a "d=checksumLSB&15,checksumLSB>>=4"
			for %%D in (!d!) do set "hex=!map:~%%D,1!!hex!"
		)
		set macAddrArray[7]=!hex!
	)
)

REM write fisrt command in file then append
echo si 1 > %jlinkFile%
echo speed 4000 >> %jlinkFile%

REM Reset and Halt board
echo r >> %jlinkFile%
echo h >> %jlinkFile%

echo mem !macAddrLocArray[0]! %macAddrSize% >> %jlinkFile%

set /A lastIndex=!macAddrSize!-1
for /L %%i in (0, 1, !lastIndex!) do (
	echo w1 !macAddrLocArray[%%i]! !macAddrArray[%%i]!
	set /A n+=1
) >> %jlinkFile%
  

echo mem !macAddrLocArray[0]! %macAddrSize% >> %jlinkFile%

echo exit >> %jlinkFile%

endlocal

"C:\Program Files (x86)\SEGGER\JLink_V512e\JLink.exe" -device R7S721001 -CommanderScript writeAddrMac.jlink