/**
 * Copyright 2016 IS2T. All rights reserved
 * For demonstration purpose only.
 * IS2T PROPRIETARY. Use is subject to license terms.
 */
package com.is2t.microej.fp;

import com.is2t.microej.frontpanel.input.generator.EventGenerator;
import com.is2t.microej.frontpanel.input.listener.PushButtonListener;

public class ButtonListener implements PushButtonListener {

	/**
	 * When the button "USER" is pressed/released... send a MicroUI button event
	 */

	@Override
	public void press(int buttonId) {
		EventGenerator.sendButtonPressedEvent("BUTTONS", buttonId);
	}

	@Override
	public void release(int buttonId) {
		EventGenerator.sendButtonReleasedEvent("BUTTONS", buttonId);
	}
}
